%define anolis_release 1
%global pypi_name jamo
%global pypi_version 0.4.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A Hangul syllable and jamo analyzer

License:        http://www.apache.org/licenses/LICENSE-2.0
URL:            https://github.com/jdongian/python-jamo
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
python-jamo is a Python library that provides functionality for decomposing and synthesizing 
Hangul syllables into their constituent jamo (the basic letters of the Korean alphabet). This 
library is particularly useful for working with the Korean language at the character level and 
can assist in tasks such as phonetic and spelling analysis.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-jamo is a Python library that provides functionality for decomposing and synthesizing 
Hangul syllables into their constituent jamo (the basic letters of the Korean alphabet). This 
library is particularly useful for working with the Korean language at the character level and 
can assist in tasks such as phonetic and spelling analysis.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.4.1-1
- Initial package.